import { PusherCallback, PusherChatCallback } from './ts/types';
declare class PusherClient {
    private pusher;
    private channel;
    private readonly channelPrefix;
    private readonly public;
    /**
     * Pusher constructor
     * @param isPublic
     * @param host
     * @param headers
     */
    constructor(isPublic: boolean, host: string, headers?: Record<string, any>);
    /**
     * Subscribe to channel
     * @param channelName
     * @param streamCallback
     * @param streamCompletedCallback
     */
    subscribe(channelName: string, streamCallback: PusherCallback, streamCompletedCallback?: PusherCallback): Promise<() => void>;
    /**
     * Subscribe to channel
     * @param channelName
     * @param streamCallback
     * @param streamCompletedCallback
     */
    subscribeChat(channelName: string, streamCallback: PusherChatCallback, streamCompletedCallback?: PusherChatCallback): Promise<() => void>;
    waitForSubscription(): Promise<boolean>;
}
export default PusherClient;
